<template>
	<div class="column q-pa-md q-gutter-md">
		<h6 class="q-ma-none">Admission Discharge Report</h6>
		<div class="row q-gutter-md">
			<date-combo v-model="date"></date-combo>
			<q-select dense class="col-6 col-md-2" v-model="type" :options="[
			{ label: 'New Admission', value: 'admission' },
			{ label: 'Admitted', value: 'admitted' },
			{ label: 'Discharge', value: 'discharge' },
			{ label: 'Admission and Discharge', value: 'admission-discharge' }]" label="Invoice_type" map-options emit-value>
			</q-select>
			<div>
				<q-btn label="Get Report" @click="refreshData" color="green" />
			</div>
		</div>
		<b-table ref="table" class="full-width" :module="module" table-name="Report_Admission_Discharge"
			:extra-post-data="meta_data"></b-table>

	</div>
</template>
<script>
export default {
	props: ['module'],
	components: {
		bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
		DateCombo: Vue.defineAsyncComponent(() => import(`components/widgets/date-combo.vue`))
	},
	data() {
		return {
			date: {
				from: null,
				to: null
			},
			type: 'admission'
		}
	},
	computed: {
		meta_data() {
			let meta_data = {}
			meta_data.Type = this.type
			if (this.date.from != null && this.date.to != null) {
				meta_data.From_Date = this.date.from
				meta_data.To_Date = this.date.to
			}

			return { meta_data }

		}
	},
	methods: {
		refreshData() {
			this.$refs.table.syncData()
		}
	}

}
</script>
